PLplot: wxPLplotWindow Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Private Member Functions | Private Attributes | List of all members
wxPLplotWindow Class Reference

`#include "wxwidgets.h"`

## Public Member Functions
| wxPLplotWindow (wxWindow *parent, PLStream *pls)
void | SetRefreshFlag (bool flag=true)
bool | GetRefreshFlag (void)
void | SetOrientation (int rot)

## Private Member Functions
void | OnPaint (wxPaintEvent &event)
void | OnChar (wxKeyEvent &event)
void | OnIdle (wxIdleEvent &event)
void | OnErase (wxEraseEvent &WXUNUSED(event))
void | OnSize (wxSizeEvent &WXUNUSED(event))
void | OnMaximize (wxMaximizeEvent &WXUNUSED(event))
void | OnMouse (wxMouseEvent &event)
void | Locate (void)
void | DrawCrosshair ()

## Private Attributes
PLStream * | m_pls
wxPLDevBase * | m_dev
bool | refresh
bool | xhair_drawn
int | mouse_x
int | mouse_y
int | old_mouse_x
int | old_mouse_y

## Detailed Description

Definition at line 395 of file wxwidgets.h.

## Constructor & Destructor Documentation

wxPLplotWindow::wxPLplotWindow | ( | wxWindow * | parent,
|  | PLStream * | pls
| ) |  |

## Member Function Documentation

void wxPLplotWindow::DrawCrosshair | ( |  | ) |
| private

bool wxPLplotWindow::GetRefreshFlag | ( | void |  | ) |
| inline

Definition at line 401 of file wxwidgets.h.

void wxPLplotWindow::Locate | ( | void |  | ) |
| private

void wxPLplotWindow::OnChar | ( | wxKeyEvent & | event | ) |
| private

void wxPLplotWindow::OnErase | ( | wxEraseEvent & | WXUNUSEDevent | ) |
| private

void wxPLplotWindow::OnIdle | ( | wxIdleEvent & | event | ) |
| private

void wxPLplotWindow::OnMaximize | ( | wxMaximizeEvent & | WXUNUSEDevent | ) |
| private

void wxPLplotWindow::OnMouse | ( | wxMouseEvent & | event | ) |
| private

void wxPLplotWindow::OnPaint | ( | wxPaintEvent & | event | ) |
| private

void wxPLplotWindow::OnSize | ( | wxSizeEvent & | WXUNUSEDevent | ) |
| private

void wxPLplotWindow::SetOrientation | ( | int | rot | ) |

void wxPLplotWindow::SetRefreshFlag | ( | bool | flag = `true` | ) |
| inline

Definition at line 400 of file wxwidgets.h.

## Member Data Documentation

wxPLDevBase* wxPLplotWindow::m_dev
| private

Definition at line 416 of file wxwidgets.h.

PLStream* wxPLplotWindow::m_pls
| private

Definition at line 415 of file wxwidgets.h.

int wxPLplotWindow::mouse_x
| private

Definition at line 419 of file wxwidgets.h.

int wxPLplotWindow::mouse_y
| private

Definition at line 419 of file wxwidgets.h.

int wxPLplotWindow::old_mouse_x
| private

Definition at line 419 of file wxwidgets.h.

int wxPLplotWindow::old_mouse_y
| private

Definition at line 419 of file wxwidgets.h.

bool wxPLplotWindow::refresh
| private

Definition at line 417 of file wxwidgets.h.

bool wxPLplotWindow::xhair_drawn
| private

Definition at line 418 of file wxwidgets.h.

The documentation for this class was generated from the following file:

- wxwidgets.h